Update Template
curl --request PATCH \
--url https://api.example.com/api/v1/templates/{template_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"content": {
"subject": "<string>",
"body": "<string>"
}
}
'import requests
url = "https://api.example.com/api/v1/templates/{template_id}"
payload = {
"name": "<string>",
"content": {
"subject": "<string>",
"body": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
content: {subject: '<string>', body: JSON.stringify('<string>')}
})
};
fetch('https://api.example.com/api/v1/templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"content": {
"subject": "<string>",
"body": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}templates
Update Template
Update a template.
Args: template_id: Template ID request: Update request current_user: Authenticated user information service: Campaign service instance
Returns: Updated template response
PATCH
/
api
/
v1
/
templates
/
{template_id}
Update Template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
Response model for email template.
Unique template identifier
Owner user ID
Template name
Email content
Show child attributes
Show child attributes
Creation timestamp
Last update timestamp
⌘I